Skip to main content
POST
/
folders
/
Create a folder
curl --request POST \
  --url https://api.journeybee.io/v1/folders/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "label": "<string>",
  "parent_folder_uuid": "<string>",
  "asset_uuid": "<string>"
}
'
{
  "uuid": "<string>",
  "label": "<string>",
  "parent_folder_uuid": "<string>",
  "asset_uuid": "<string>",
  "created_at": "<string>",
  "updated_at": "<string>"
}

Authorizations

Authorization
string
header
required

API key authentication. Use "Bearer <api_key>" or "Api-Key <api_key>".

Body

application/json
label
string
required

Folder name

Required string length: 1 - 500
content_type
enum<string>
required
Available options:
resources,
certifications
parent_folder_uuid
string
asset_uuid
string

Response

201 - application/json

Default Response

uuid
string
required
label
string
required
content_type
enum<string>
required
Available options:
resources,
certifications
parent_folder_uuid
string | null
required
asset_uuid
string | null
required
created_at
string
required
updated_at
string
required